import * as $dara from '@darabonba/typescript';
import { AddContainerDefenseRuleResponseBody } from "./AddContainerDefenseRuleResponseBody";
export declare class AddContainerDefenseRuleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AddContainerDefenseRuleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
